﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using SupportFragmentTransaction = Android.Support.V4.App.FragmentTransaction;
using Android.Graphics;
using Com.Syncfusion.Charts.Enums;
using Android.Support.V7.App;

namespace ChartSample
{
    [Activity(Label = "ChartSample", MainLauncher = true, Icon = "@drawable/icon", Theme = "@style/Theme.AppCompat")]
    public class MainActivity : AppCompatActivity
    {
        public ObservableArrayList HighTemperature;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            SetContentView(Resource.Layout.Main);

            Android.Support.V4.App.FragmentManager fragmentManager = SupportFragmentManager;
            SupportFragmentTransaction fragmentTransaction = fragmentManager.BeginTransaction();
            ChartFragment chartFragment = new ChartFragment();
            fragmentTransaction.Replace(Resource.Id.fragment_container, chartFragment, "chartFragment");
            fragmentTransaction.Commit();

        }
    }
}

